org.apache.maven.shared.io.logging

## Interface MessageHolder

All Known Implementing Classes:
  DefaultMessageHolder

    public interface MessageHolder

Message Holder class.

### Method Summary

All Methods Instance Methods Abstract Methods
`MessageHolder` `addDebugMessage(CharSequence messagePart)`
`MessageHolder` `addDebugMessage(CharSequence messagePart, Throwable error)`
`MessageHolder` `addDebugMessage(Throwable error)`
`MessageHolder` `addErrorMessage(CharSequence messagePart)`
`MessageHolder` `addErrorMessage(CharSequence messagePart, Throwable error)`
`MessageHolder` `addErrorMessage(Throwable error)`
`MessageHolder` `addInfoMessage(CharSequence messagePart)`
`MessageHolder` `addInfoMessage(CharSequence messagePart, Throwable error)`
`MessageHolder` `addInfoMessage(Throwable error)`
`MessageHolder` `addMessage(CharSequence messagePart)`
`MessageHolder` `addMessage(CharSequence messagePart, Throwable error)`
`MessageHolder` `addMessage(Throwable error)`
`MessageHolder` `addSevereMessage(CharSequence messagePart)`
`MessageHolder` `addSevereMessage(CharSequence messagePart, Throwable error)`
`MessageHolder` `addSevereMessage(Throwable error)`
`MessageHolder` `addWarningMessage(CharSequence messagePart)`
`MessageHolder` `addWarningMessage(CharSequence messagePart, Throwable error)`
`MessageHolder` `addWarningMessage(Throwable error)`
`MessageHolder` `append(CharSequence messagePart)`
`MessageHolder` `append(Throwable error)`
`int` `countDebugMessages()`
`int` `countErrorMessages()`
`int` `countInfoMessages()`
`int` `countMessages()`
`int` `countSevereMessages()`
`int` `countWarningMessages()`
`void` `flush()` flush.
`boolean` `isDebugEnabled()`
`boolean` `isEmpty()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isSevereEnabled()`
`boolean` `isWarningEnabled()`
`MessageHolder` `newDebugMessage()`
`MessageHolder` `newErrorMessage()`
`MessageHolder` `newInfoMessage()`
`MessageHolder` `newMessage()`
`MessageHolder` `newSevereMessage()`
`MessageHolder` `newWarningMessage()`
`String` `render()`
`void` `render(MessageSink sink)`
`void` `setDebugEnabled(boolean enabled)`
`void` `setErrorEnabled(boolean enabled)`
`void` `setInfoEnabled(boolean enabled)`
`void` `setSevereEnabled(boolean enabled)`
`void` `setWarningEnabled(boolean enabled)`
`int` `size()`

### Method Detail

#### newMessage

    MessageHolder newMessage()

Returns:
  `MessageHolder`

#### newDebugMessage

    MessageHolder newDebugMessage()

Returns:
  `MessageHolder`

#### newInfoMessage

    MessageHolder newInfoMessage()

Returns:
  `MessageHolder`

#### newWarningMessage

    MessageHolder newWarningMessage()

Returns:
  `MessageHolder`

#### newErrorMessage

    MessageHolder newErrorMessage()

Returns:
  `MessageHolder`

#### newSevereMessage

    MessageHolder newSevereMessage()

Returns:
  `MessageHolder`

#### append

    MessageHolder append(CharSequence messagePart)

Parameters:
  `messagePart` - message part.
Returns:
  `MessageHolder`

#### append

    MessageHolder append(Throwable error)

Parameters:
  `error` - `Throwable`
Returns:
  `MessageHolder`

#### addMessage

    MessageHolder addMessage(CharSequence messagePart,
                             Throwable error)

Parameters:
  `messagePart` - Message Part.
  `error` - `Throwable`
Returns:
  `MessageHolder`

#### addMessage

    MessageHolder addMessage(CharSequence messagePart)

Parameters:
  `messagePart` - message part.
Returns:
  `MessageHolder`

#### addMessage

    MessageHolder addMessage(Throwable error)

Parameters:
  `error` - `Throwable`
Returns:
  `MessageHolder`

#### addDebugMessage

    MessageHolder addDebugMessage(CharSequence messagePart,
                                  Throwable error)

Parameters:
  `messagePart` - message part.
  `error` - `Throwable`
Returns:
  `MessageHolder`

#### addDebugMessage

    MessageHolder addDebugMessage(CharSequence messagePart)

Parameters:
  `messagePart` - messages part.
Returns:
  `MessageHolder`

#### addDebugMessage

    MessageHolder addDebugMessage(Throwable error)

Parameters:
  `error` - messages part.
Returns:
  `MessageHolder`

#### addInfoMessage

    MessageHolder addInfoMessage(CharSequence messagePart,
                                 Throwable error)

Parameters:
  `messagePart` - message part.
  `error` - `Throwable`
Returns:
  `MessageHolder`

#### addInfoMessage

    MessageHolder addInfoMessage(CharSequence messagePart)

Parameters:
  `messagePart` - messages part.
Returns:
  `MessageHolder`

#### addInfoMessage

    MessageHolder addInfoMessage(Throwable error)

Parameters:
  `error` - `Throwable`
Returns:
  `MessageHolder`

#### addWarningMessage

    MessageHolder addWarningMessage(CharSequence messagePart,
                                    Throwable error)

Parameters:
  `messagePart` - message part.
  `error` - `Throwable`
Returns:
  `MessageHolder`

#### addWarningMessage

    MessageHolder addWarningMessage(CharSequence messagePart)

Parameters:
  `messagePart` - message part.
Returns:
  `MessageHolder`

#### addWarningMessage

    MessageHolder addWarningMessage(Throwable error)

Parameters:
  `error` - `Throwable`
Returns:
  `MessageHolder`

#### addErrorMessage

    MessageHolder addErrorMessage(CharSequence messagePart,
                                  Throwable error)

Parameters:
  `messagePart` - message part.
  `error` - `Throwable`
Returns:
  `MessageHolder`

#### addErrorMessage

    MessageHolder addErrorMessage(CharSequence messagePart)

Parameters:
  `messagePart` - message part.
Returns:
  `MessageHolder`

#### addErrorMessage

    MessageHolder addErrorMessage(Throwable error)

Parameters:
  `error` - `Throwable`
Returns:
  `MessageHolder`

#### addSevereMessage

    MessageHolder addSevereMessage(CharSequence messagePart,
                                   Throwable error)

Parameters:
  `messagePart` - message part.
  `error` - `Throwable`
Returns:
  `MessageHolder`

#### addSevereMessage

    MessageHolder addSevereMessage(CharSequence messagePart)

Parameters:
  `messagePart` - message part.
Returns:
  `MessageHolder`

#### addSevereMessage

    MessageHolder addSevereMessage(Throwable error)

Parameters:
  `error` - The error.
Returns:
  `MessageHolder`

#### size

    int size()

Returns:
  the size.

#### countMessages

    int countMessages()

Returns:
  count number of messages.

#### countDebugMessages

    int countDebugMessages()

Returns:
  count number of debug messages.

#### countInfoMessages

    int countInfoMessages()

Returns:
  count number of info messages.

#### countWarningMessages

    int countWarningMessages()

Returns:
  count number of warning messages.

#### countErrorMessages

    int countErrorMessages()

Returns:
  count number of error messages.

#### countSevereMessages

    int countSevereMessages()

Returns:
  count number of server messages.

#### isDebugEnabled

    boolean isDebugEnabled()

Returns:
  true / false.

#### setDebugEnabled

    void setDebugEnabled(boolean enabled)

Parameters:
  `enabled` - enable debug

#### isInfoEnabled

    boolean isInfoEnabled()

Returns:
  true if info is enabled false otherwise.

#### setInfoEnabled

    void setInfoEnabled(boolean enabled)

Parameters:
  `enabled` - true info enable false otherwise.

#### isWarningEnabled

    boolean isWarningEnabled()

Returns:
  true if warning is enabled false otherwise.

#### setWarningEnabled

    void setWarningEnabled(boolean enabled)

Parameters:
  `enabled` - enable warning or disable.

#### isErrorEnabled

    boolean isErrorEnabled()

Returns:
  true if error is enabled false otherwise.

#### setErrorEnabled

    void setErrorEnabled(boolean enabled)

Parameters:
  `enabled` - enable error or disable.

#### isSevereEnabled

    boolean isSevereEnabled()

Returns:
  true if server is enabled false otherwise.

#### setSevereEnabled

    void setSevereEnabled(boolean enabled)

Parameters:
  `enabled` - enable server or disable.

#### isEmpty

    boolean isEmpty()

Returns:
  true if empty false otherwise.

#### render

    String render()

Returns:
  rendered.

#### render

    void render(MessageSink sink)

Parameters:
  `sink` - `MessageSink`

#### flush

    void flush()

flush.